org.eclipse.wst.jsdt.chromium

## Interface BreakpointTypeExtension.ScriptRegExpSupport.Visitor<R>

All Superinterfaces:
  Breakpoint.Target.Visitor<R>

Enclosing interface:
  BreakpointTypeExtension.ScriptRegExpSupport

    public static interface BreakpointTypeExtension.ScriptRegExpSupport.Visitor<R>
    extends Breakpoint.Target.Visitor<R>

Additional interface that user visitor may implement for `Breakpoint.Target.accept(org.eclipse.wst.jsdt.chromium.Breakpoint.Target.Visitor<R>)` method.

### Method Summary

All Methods Instance Methods Abstract Methods
`R` `visitRegExp(java.lang.String regExp)`

### Methods inherited from interface org.eclipse.wst.jsdt.chromium.Breakpoint.Target.Visitor

`visitScriptId, visitScriptName, visitUnknown`

### Method Detail

#### visitRegExp

    R visitRegExp(java.lang.String regExp)

Parameters:
  `regExp` - regular expression pattern (as specified in JavaScript) that will be used to match script names